Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.platform.rcx
Interface Segment

All Known Subinterfaces:
  LCDConstants

    public interface Segment

LCD segment constants.

Field Summary
`static int` | `ALL`
`static int` | `BATTERY`
`static int` | `DATALOG`
`static int` | `DOWNLOAD`
`static int` | `MOTOR_A_FWD`
`static int` | `MOTOR_A_REV`
`static int` | `MOTOR_A_VIEW`
`static int` | `MOTOR_B_FWD`
`static int` | `MOTOR_B_REV`
`static int` | `MOTOR_B_VIEW`
`static int` | `MOTOR_C_FWD`
`static int` | `MOTOR_C_REV`
`static int` | `MOTOR_C_VIEW`
`static int` | `RANGE_LONG`
`static int` | `RANGE_SHORT`
`static int` | `SENSOR_1_ACTIVE`
`static int` | `SENSOR_1_VIEW`
`static int` | `SENSOR_2_ACTIVE`
`static int` | `SENSOR_2_VIEW`
`static int` | `SENSOR_3_ACTIVE`
`static int` | `SENSOR_3_VIEW`
`static int` | `STANDING`
`static int` | `UPLOAD`
`static int` | `WALKING`

Field Detail

### STANDING

    static final int STANDING

See Also:
  Constant Field Values

### WALKING

    static final int WALKING

See Also:
  Constant Field Values

### SENSOR_1_VIEW

    static final int SENSOR_1_VIEW

See Also:
  Constant Field Values

### SENSOR_1_ACTIVE

    static final int SENSOR_1_ACTIVE

See Also:
  Constant Field Values

### SENSOR_2_VIEW

    static final int SENSOR_2_VIEW

See Also:
  Constant Field Values

### SENSOR_2_ACTIVE

    static final int SENSOR_2_ACTIVE

See Also:
  Constant Field Values

### SENSOR_3_VIEW

    static final int SENSOR_3_VIEW

See Also:
  Constant Field Values

### SENSOR_3_ACTIVE

    static final int SENSOR_3_ACTIVE

See Also:
  Constant Field Values

### MOTOR_A_VIEW

    static final int MOTOR_A_VIEW

See Also:
  Constant Field Values

### MOTOR_A_REV

    static final int MOTOR_A_REV

See Also:
  Constant Field Values

### MOTOR_A_FWD

    static final int MOTOR_A_FWD

See Also:
  Constant Field Values

### MOTOR_B_VIEW

    static final int MOTOR_B_VIEW

See Also:
  Constant Field Values

### MOTOR_B_REV

    static final int MOTOR_B_REV

See Also:
  Constant Field Values

### MOTOR_B_FWD

    static final int MOTOR_B_FWD

See Also:
  Constant Field Values

### MOTOR_C_VIEW

    static final int MOTOR_C_VIEW

See Also:
  Constant Field Values

### MOTOR_C_REV

    static final int MOTOR_C_REV

See Also:
  Constant Field Values

### MOTOR_C_FWD

    static final int MOTOR_C_FWD

See Also:
  Constant Field Values

### DATALOG

    static final int DATALOG

See Also:
  Constant Field Values

### DOWNLOAD

    static final int DOWNLOAD

See Also:
  Constant Field Values

### UPLOAD

    static final int UPLOAD

See Also:
  Constant Field Values

### BATTERY

    static final int BATTERY

See Also:
  Constant Field Values

### RANGE_SHORT

    static final int RANGE_SHORT

See Also:
  Constant Field Values

### RANGE_LONG

    static final int RANGE_LONG

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD